/* Tabela CARDADIA: CARDADIA */
/* Descrio: A trigger insere registros na tabela LOGOPERA a partir de alteraes na tabela CARDADIA */
/* Objetivo: Gerar um log que vai registrar as alteraes na tabela CARDADIA,
             utilizando a tabela Geral de Logs de Operaes */
CREATE OR REPLACE TRIGGER LOG_PLA_CARDADIA
AFTER DELETE OR INSERT OR UPDATE
ON CARDADIA FOR EACH ROW
DECLARE
  V_USUARIO    VARCHAR2(40);
  V_TIPO       VARCHAR2(1);
  V_ITPESQ     VARCHAR2(40);
  V_DESC       VARCHAR2(500);
  V_DTOPER     DATE;
  V_DSIP       VARCHAR2(50);
  V_DSUSUARIO  VARCHAR2(50);
  V_DSRDM      VARCHAR2(50);
  V_DSMETODO   VARCHAR2(250);
  V_DSOPERADOR VARCHAR2(12);
BEGIN
   V_TIPO      := '0';
   V_DESC      := '';
   WEBTUNNING(V_DSIP,
              V_DSUSUARIO,
              V_DSRDM,
              V_DSMETODO,
              V_DSOPERADOR);
   IF DELETING THEN
      V_DESC := V_DESC || 'Fili='  || :OLD.CDFILIAL;
      V_DESC := V_DESC || ' Serv=' || :OLD.CDSERVFILI;
      V_DESC := V_DESC || ' Card=' || :OLD.NRCARDAPIO;
      V_DESC := V_DESC || ' Data=' || :OLD.DTCARDAPIO;
      V_DESC := V_DESC || ' Rdm='      || V_DSRDM;
      V_DESC := V_DESC || ' Mtodo='   || V_DSMETODO;
      V_DESC := V_DESC || ' Ip='       || V_DSIP;
      V_DESC := V_DESC || ' Usurio='  || V_DSUSUARIO;
      V_DESC := V_DESC || ' Operador=' || V_DSOPERADOR;
      V_TIPO := '3';
      V_ITPESQ := :OLD.CDFILIAL||:OLD.CDSERVFILI||TO_CHAR(:OLD.DTCARDAPIO, 'YYYYMMDD');
   ELSE
      IF UPDATING THEN
         IF (:OLD.CDFILIAL   <> :NEW.CDFILIAL  ) OR
            (:OLD.NRCARDAPIO <> :NEW.NRCARDAPIO) OR
            (:OLD.CDSERVFILI <> :NEW.CDSERVFILI) OR
            (:OLD.CDOPERADOR <> :NEW.CDOPERADOR) OR
            (:OLD.DTCARDAPIO <> :NEW.DTCARDAPIO) OR
            (:OLD.DTMESCARD  <> :NEW.DTMESCARD ) OR
            (NVL(:OLD.QTCLIEFETCAR,  -1)  <> NVL(:NEW.QTCLIEFETCAR,  -1)) OR
            (NVL(:OLD.QTFUNEFETCAR,  -1)  <> NVL(:NEW.QTFUNEFETCAR,  -1)) OR
            (NVL(:OLD.QTDOAEFETCAR,  -1)  <> NVL(:NEW.QTDOAEFETCAR,  -1)) OR
            (NVL(:OLD.QTCOMEFETCAR,  -1)  <> NVL(:NEW.QTCOMEFETCAR,  -1)) OR
            (NVL(:OLD.QTCLIESTICAR,  -1)  <> NVL(:NEW.QTCLIESTICAR,  -1)) OR
            (NVL(:OLD.QTFUNESTICAR,  -1)  <> NVL(:NEW.QTFUNESTICAR,  -1)) OR
            (NVL(:OLD.QTDOAESTICAR,  -1)  <> NVL(:NEW.QTDOAESTICAR,  -1)) OR
            (NVL(:OLD.QTCOMESTICAR,  -1)  <> NVL(:NEW.QTCOMESTICAR,  -1)) OR
            (NVL(:OLD.QTESTITURNO1,  -1)  <> NVL(:NEW.QTESTITURNO1,  -1)) OR
            (NVL(:OLD.QTESTITURNO2,  -1)  <> NVL(:NEW.QTESTITURNO2,  -1)) OR
            (NVL(:OLD.QTESTITURNO3,  -1)  <> NVL(:NEW.QTESTITURNO3,  -1)) OR
            (NVL(:OLD.QTESTITURNO4,  -1)  <> NVL(:NEW.QTESTITURNO4,  -1)) OR
            (NVL(:OLD.QTCOMEFETRI,   -1)  <> NVL(:NEW.QTCOMEFETRI,   -1)) OR
            (NVL(:OLD.QTRESTINGECA,  -1)  <> NVL(:NEW.QTRESTINGECA,  -1)) OR
            (NVL(:OLD.QTCOMEFETSL,   -1)  <> NVL(:NEW.QTCOMEFETSL,   -1)) OR
            (NVL(:OLD.VRPESPORPERC,  -1)  <> NVL(:NEW.VRPESPORPERC,  -1)) OR
            (NVL(:OLD.QTSOBRLIMPCA,  -1)  <> NVL(:NEW.QTSOBRLIMPCA,  -1)) OR
            (NVL(:OLD.CDDIETPAD,    '')  <> NVL(:NEW.CDDIETPAD,    '')) OR
            (NVL(:OLD.CDFILAUXPRRI, '')  <> NVL(:NEW.CDFILAUXPRRI, '')) OR
            (NVL(:OLD.CDMAIORPRERI, '')  <> NVL(:NEW.CDMAIORPRERI, '')) OR
            (NVL(:OLD.CDFILAUXPRSL, '')  <> NVL(:NEW.CDFILAUXPRSL, '')) OR
            (NVL(:OLD.CDMAIORPRESL, '')  <> NVL(:NEW.CDMAIORPRESL, '')) OR
            (NVL(:OLD.DSCARDAPIO,   '')  <> NVL(:NEW.DSCARDAPIO,   '')) THEN
            V_TIPO   := '2';
            V_ITPESQ := :OLD.CDFILIAL||:OLD.CDSERVFILI||TO_CHAR(:OLD.DTCARDAPIO, 'YYYYMMDD');
         END IF; 
      ELSE
         V_TIPO   := '1';
         V_ITPESQ := :NEW.CDFILIAL||:NEW.CDSERVFILI||TO_CHAR(:NEW.DTCARDAPIO, 'YYYYMMDD');
      END IF;
      IF UPDATING THEN
         IF (:OLD.CDFILIAL <> :NEW.CDFILIAL) THEN
            V_DESC := V_DESC || 'Fili=' || :OLD.CDFILIAL || '|' || :NEW.CDFILIAL;
         ELSE
            V_DESC := V_DESC || 'Fili=' || :OLD.CDFILIAL;
         END IF;
      ELSE
         V_DESC := V_DESC || 'Fili=' || :NEW.CDFILIAL;
      END IF;
      IF UPDATING THEN
         IF (:OLD.NRCARDAPIO <> :NEW.NRCARDAPIO) THEN
            V_DESC := V_DESC || ' Card=' || :OLD.NRCARDAPIO || '|' || :NEW.NRCARDAPIO;
         ELSE
            V_DESC := V_DESC || ' Card=' || :OLD.NRCARDAPIO;
         END IF;
      ELSE
         V_DESC := V_DESC || ' Card=' || :NEW.NRCARDAPIO;
      END IF;
      IF UPDATING THEN
         IF (:OLD.CDSERVFILI <> :NEW.CDSERVFILI) THEN
            V_DESC := V_DESC || ' Serv=' || :OLD.CDSERVFILI || '|' || :NEW.CDSERVFILI;
         ELSE
            V_DESC := V_DESC || ' Serv=' || :OLD.CDSERVFILI;
         END IF;
      ELSE
         V_DESC := V_DESC || ' Serv=' || :NEW.CDSERVFILI;
      END IF;
      IF UPDATING THEN
         IF (:OLD.CDOPERADOR <> :NEW.CDOPERADOR) THEN
            V_DESC := V_DESC || ' Oper=' || :OLD.CDOPERADOR || '|' || :NEW.CDOPERADOR;
         END IF;
      ELSE
         V_DESC := V_DESC || ' Oper=' || :NEW.CDOPERADOR;
      END IF;
      IF UPDATING THEN
         IF (:OLD.DTCARDAPIO <> :NEW.DTCARDAPIO) THEN
            V_DESC := V_DESC || ' Data=' || :OLD.DTCARDAPIO || '|' || :NEW.DTCARDAPIO;
         ELSE
            V_DESC := V_DESC || ' Data=' || :OLD.DTCARDAPIO;
         END IF;
      ELSE
         V_DESC := V_DESC || ' Data=' || :NEW.DTCARDAPIO;
      END IF;
      IF (NVL(:NEW.CDDIETPAD, '') <> '') OR (UPDATING AND (NVL(:NEW.CDDIETPAD, '') = '')) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.CDDIETPAD, '') <> NVL(:NEW.CDDIETPAD, '')) THEN
               V_DESC := V_DESC || ' Diet=' || :OLD.CDDIETPAD || '|' || :NEW.CDDIETPAD;
            ELSE
               V_DESC := V_DESC || ' Diet=' || :OLD.CDDIETPAD;
            END IF;
         ELSE
            V_DESC := V_DESC || ' Diet=' || :NEW.CDDIETPAD;
         END IF;
      END IF;
      IF (NVL(:NEW.QTCOMEFETCAR, -1) <> -1) OR (UPDATING AND (NVL(:NEW.QTCOMEFETCAR, -1) = -1)) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.QTCOMEFETCAR, -1) <> NVL(:NEW.QTCOMEFETCAR, -1)) THEN
               V_DESC := V_DESC || ' Efetivos:' || :OLD.QTCOMEFETCAR || '|' || :NEW.QTCOMEFETCAR;
            END IF;
         ELSE
            V_DESC := V_DESC || ' Efetivos:' || :NEW.QTCOMEFETCAR;
         END IF;
      END IF;
      IF (NVL(:NEW.QTCLIEFETCAR, -1) <> -1) OR (UPDATING AND (NVL(:NEW.QTCLIEFETCAR, -1) = -1)) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.QTCLIEFETCAR, -1) <> NVL(:NEW.QTCLIEFETCAR, -1)) THEN
               V_DESC := V_DESC || ' Cli=' || :OLD.QTCLIEFETCAR || '|' || :NEW.QTCLIEFETCAR;
            END IF;
         ELSE
            V_DESC := V_DESC || ' Cli=' || :NEW.QTCLIEFETCAR;
         END IF;
      END IF;
      IF (NVL(:NEW.QTFUNEFETCAR, -1) <> -1) OR (UPDATING AND (NVL(:NEW.QTFUNEFETCAR, -1) = -1)) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.QTFUNEFETCAR, -1) <> NVL(:NEW.QTFUNEFETCAR, -1)) THEN
               V_DESC := V_DESC || ' Func=' || :OLD.QTFUNEFETCAR || '|' || :NEW.QTFUNEFETCAR;
            END IF;
         ELSE
            V_DESC := V_DESC || ' Func=' || :NEW.QTFUNEFETCAR;
         END IF;
      END IF;
      IF (NVL(:NEW.QTDOAEFETCAR, -1) <> -1) OR (UPDATING AND (NVL(:NEW.QTDOAEFETCAR, -1) = -1)) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.QTDOAEFETCAR, -1) <> NVL(:NEW.QTDOAEFETCAR, -1)) THEN
               V_DESC := V_DESC || ' Doa=' || :OLD.QTDOAEFETCAR || '|' || :NEW.QTDOAEFETCAR;
            END IF;
         ELSE
            V_DESC := V_DESC || ' Doa=' || :NEW.QTDOAEFETCAR;
         END IF;
      END IF;
      IF (NVL(:NEW.QTCOMESTICAR, -1) <> -1) OR (UPDATING AND (NVL(:NEW.QTCOMESTICAR, -1) = -1)) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.QTCOMESTICAR, -1) <> NVL(:NEW.QTCOMESTICAR, -1)) THEN
               V_DESC := V_DESC || ' Estimados:' || :OLD.QTCOMESTICAR || '|' || :NEW.QTCOMESTICAR;
            END IF;
         ELSE
            V_DESC := V_DESC || ' Estimados:' || :NEW.QTCOMESTICAR;
         END IF;
      END IF;
      IF (NVL(:NEW.QTCLIESTICAR, -1) <> -1) OR (UPDATING AND (NVL(:NEW.QTCLIESTICAR, -1) = -1)) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.QTCLIESTICAR, -1) <> NVL(:NEW.QTCLIESTICAR, -1)) THEN
               V_DESC := V_DESC || ' Cli=' || :OLD.QTCLIESTICAR || '|' || :NEW.QTCLIESTICAR;
            END IF;
         ELSE
            V_DESC := V_DESC || ' Cli=' || :NEW.QTCLIESTICAR;
         END IF;
      END IF;
      IF (NVL(:NEW.QTFUNESTICAR, -1) <> -1) OR (UPDATING AND (NVL(:NEW.QTFUNESTICAR, -1) = -1)) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.QTFUNESTICAR, -1) <> NVL(:NEW.QTFUNESTICAR, -1)) THEN
               V_DESC := V_DESC || ' Fun=' || :OLD.QTFUNESTICAR || '|' || :NEW.QTFUNESTICAR;
            END IF;
         ELSE
            V_DESC := V_DESC || ' Fun=' || :NEW.QTFUNESTICAR;
         END IF;
      END IF;
      IF (NVL(:NEW.QTDOAESTICAR, -1) <> -1) OR (UPDATING AND (NVL(:NEW.QTDOAESTICAR, -1) = -1)) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.QTDOAESTICAR, -1) <> NVL(:NEW.QTDOAESTICAR, -1)) THEN
               V_DESC := V_DESC || ' Doa=' || :OLD.QTDOAESTICAR || '|' || :NEW.QTDOAESTICAR;
            END IF;
         ELSE
            V_DESC := V_DESC || ' Doa=' || :NEW.QTDOAESTICAR;
         END IF;
      END IF;
      IF (NVL(:NEW.QTESTITURNO1, -1) <> -1) OR (UPDATING AND (NVL(:NEW.QTESTITURNO1, -1) = -1)) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.QTESTITURNO1, -1) <> NVL(:NEW.QTESTITURNO1, -1)) THEN
               V_DESC := V_DESC || ' T1=' || :OLD.QTESTITURNO1 || '|' || :NEW.QTESTITURNO1;
            END IF;
         ELSE
            V_DESC := V_DESC || ' T1=' || :NEW.QTESTITURNO1;
         END IF;
      END IF;
      IF (NVL(:NEW.QTESTITURNO2, -1) <> -1) OR (UPDATING AND (NVL(:NEW.QTESTITURNO2, -1) = -1)) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.QTESTITURNO2, -1) <> NVL(:NEW.QTESTITURNO2, -1)) THEN
               V_DESC := V_DESC || ' T2=' || :OLD.QTESTITURNO2 || '|' || :NEW.QTESTITURNO2;
            END IF;
         ELSE
            V_DESC := V_DESC || ' T2=' || :NEW.QTESTITURNO2;
         END IF;
      END IF;
      IF (NVL(:NEW.QTESTITURNO3, -1) <> -1) OR (UPDATING AND (NVL(:NEW.QTESTITURNO3, -1) = -1)) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.QTESTITURNO3, -1) <> NVL(:NEW.QTESTITURNO3, -1)) THEN
               V_DESC := V_DESC || ' T3=' || :OLD.QTESTITURNO3 || '|' || :NEW.QTESTITURNO3;
            END IF;
         ELSE
            V_DESC := V_DESC || ' T3=' || :NEW.QTESTITURNO3;
         END IF;
      END IF;
      IF (NVL(:NEW.QTESTITURNO4, -1) <> -1) OR (UPDATING AND (NVL(:NEW.QTESTITURNO4, -1) = -1)) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.QTESTITURNO4, -1) <> NVL(:NEW.QTESTITURNO4, -1)) THEN
               V_DESC := V_DESC || ' T4=' || :OLD.QTESTITURNO4 || '|' || :NEW.QTESTITURNO4;
            END IF;
         ELSE
            V_DESC := V_DESC || ' T4=' || :NEW.QTESTITURNO4;
         END IF;
      END IF;
      IF (NVL(:NEW.QTCOMEFETRI, -1) <> -1) OR (UPDATING AND (NVL(:NEW.QTCOMEFETRI, -1) = -1)) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.QTCOMEFETRI, -1) <> NVL(:NEW.QTCOMEFETRI, -1)) THEN
               V_DESC := V_DESC || ' EfetRI=' || :OLD.QTCOMEFETRI || '|' || :NEW.QTCOMEFETRI;
            END IF;
         ELSE
            V_DESC := V_DESC || ' EfetRI=' || :NEW.QTCOMEFETRI;
         END IF;
      END IF;
      IF (NVL(:NEW.QTRESTINGECA, -1) <> -1) OR (UPDATING AND (NVL(:NEW.QTRESTINGECA, -1) = -1)) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.QTRESTINGECA, -1) <> NVL(:NEW.QTRESTINGECA, -1)) THEN
               V_DESC := V_DESC || ' TotRI=' || TRIM(TO_CHAR(ROUND(:OLD.QTRESTINGECA, 5), '9999999990.000')) || '|' || 
                                                TRIM(TO_CHAR(ROUND(:NEW.QTRESTINGECA, 5), '9999999990.000'));
            END IF;  
         ELSE
            V_DESC := V_DESC || ' TotRI=' || TRIM(TO_CHAR(ROUND(:NEW.QTRESTINGECA, 5), '9999999990.000'));
         END IF;
      END IF;
      IF (NVL(:NEW.VRPESPORPERC, -1) <> -1) OR (UPDATING AND (NVL(:NEW.VRPESPORPERC, -1) = -1)) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.VRPESPORPERC, -1) <> NVL(:NEW.VRPESPORPERC, -1)) THEN
               V_DESC := V_DESC || ' PesPor=' || TRIM(TO_CHAR(ROUND(:OLD.VRPESPORPERC, 5), '9999999990.00000')) || '|' || 
                                                  TRIM(TO_CHAR(ROUND(:NEW.VRPESPORPERC, 5), '9999999990.00000'));
            END IF;   
         ELSE
            V_DESC := V_DESC || ' PesPor=' || TRIM(TO_CHAR(ROUND(:NEW.VRPESPORPERC, 5), '9999999990.00000'));
         END IF;
      END IF;
      IF ((NVL(:NEW.CDFILAUXPRRI, '') <> '') OR (UPDATING AND (NVL(:NEW.CDFILAUXPRRI, '') = ''))) OR
         ((NVL(:NEW.CDMAIORPRERI, '') <> '') OR (UPDATING AND (NVL(:NEW.CDMAIORPRERI, '') = ''))) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.CDFILAUXPRRI, '') <> NVL(:NEW.CDFILAUXPRRI, '')) THEN
               V_DESC := V_DESC || ' Prat>PreRI=' || :OLD.CDFILAUXPRRI || '|' || :NEW.CDFILAUXPRRI;
            END IF;
            IF (NVL(:OLD.CDMAIORPRERI, '') <> NVL(:NEW.CDMAIORPRERI, '')) THEN
               IF (NVL(:OLD.CDFILAUXPRRI, '') <> NVL(:NEW.CDFILAUXPRRI, '')) THEN
                  V_DESC := V_DESC || ' - ' || :OLD.CDMAIORPRERI || '|' || :NEW.CDMAIORPRERI;
               ELSE
                  V_DESC := V_DESC || ' Prat>PreRI=' || :OLD.CDMAIORPRERI || '|' || :NEW.CDMAIORPRERI;
               END IF; 
            END IF;
         ELSE
            V_DESC := V_DESC || ' Prat>PreRI=' || :NEW.CDFILAUXPRRI|| ' - ' || :NEW.CDMAIORPRERI;
         END IF;
      END IF;
      IF (NVL(:NEW.QTCOMEFETSL, -1) <> -1) OR (UPDATING AND (NVL(:NEW.QTCOMEFETSL, -1) = -1)) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.QTCOMEFETSL, -1) <> NVL(:NEW.QTCOMEFETSL, -1)) THEN
               V_DESC := V_DESC || ' EfetSL=' || :OLD.QTCOMEFETSL || '|' || :NEW.QTCOMEFETSL;
            END IF;
         ELSE
            V_DESC := V_DESC || ' EfetSL=' || :NEW.QTCOMEFETSL;
         END IF;
      END IF;
      IF (NVL(:NEW.QTSOBRLIMPCA, -1) <> -1) OR (UPDATING AND (NVL(:NEW.QTSOBRLIMPCA, -1) = -1)) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.QTSOBRLIMPCA, -1) <> NVL(:NEW.QTSOBRLIMPCA, -1)) THEN
               V_DESC := V_DESC || ' TotSL=' || :OLD.QTSOBRLIMPCA || '|' || :NEW.QTSOBRLIMPCA;
            END IF;
         ELSE
            V_DESC := V_DESC || ' TotSL=' || :NEW.QTSOBRLIMPCA;
         END IF;
      END IF;
      IF ((NVL(:NEW.CDFILAUXPRSL, '') <> '') OR (UPDATING AND (NVL(:NEW.CDFILAUXPRSL, '') = ''))) OR
         ((NVL(:NEW.CDMAIORPRESL, '') <> '') OR (UPDATING AND (NVL(:NEW.CDMAIORPRESL, '') = ''))) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.CDFILAUXPRSL, '') <> NVL(:NEW.CDFILAUXPRSL, '')) THEN
               V_DESC := V_DESC || ' Prat>PreSL=' || :OLD.CDFILAUXPRSL || '|' || :NEW.CDFILAUXPRSL;
            END IF;
            IF (NVL(:OLD.CDMAIORPRESL, '') <> NVL(:NEW.CDMAIORPRESL, '')) THEN
               IF (NVL(:OLD.CDFILAUXPRSL, '') <> NVL(:NEW.CDFILAUXPRSL, '')) THEN
                  V_DESC := V_DESC || ' - ' || :OLD.CDMAIORPRESL || '|' || :NEW.CDMAIORPRESL;
               ELSE
                  V_DESC := V_DESC || ' Prat>PreSL=' || :OLD.CDMAIORPRESL || '|' || :NEW.CDMAIORPRESL;
               END IF; 
            END IF;
         ELSE
            V_DESC := V_DESC || ' Prat>PreSL=' || :NEW.CDFILAUXPRSL|| ' - ' || :NEW.CDMAIORPRESL;
         END IF;
      END IF;
      IF (NVL(:NEW.DSCARDAPIO, '') <> '') OR (UPDATING AND (NVL(:NEW.DSCARDAPIO, '') = '')) THEN
         IF UPDATING THEN
            IF (NVL(:OLD.DSCARDAPIO, '') <> NVL(:NEW.DSCARDAPIO, '')) THEN
               V_DESC := V_DESC || ' Desc=' || :OLD.DSCARDAPIO || '|' || :NEW.DSCARDAPIO;
            END IF;
         ELSE
            V_DESC := V_DESC || ' Desc=' || :NEW.DSCARDAPIO;
         END IF;
      END IF;
      V_DESC := V_DESC || ' Rdm='      || V_DSRDM;
      V_DESC := V_DESC || ' Mtodo='   || V_DSMETODO;
      V_DESC := V_DESC || ' Ip='       || V_DSIP;
      V_DESC := V_DESC || ' Usurio='  || V_DSUSUARIO;
      V_DESC := V_DESC || ' Operador=' || V_DSOPERADOR;
   END IF;
   IF V_TIPO <> '0' THEN
      NMUSUARIO(V_USUARIO);
      IF NOT V_DESC IS NULL THEN
         IF NOT V_USUARIO IS NULL THEN
            V_DTOPER := SYSDATE;

            INSERT INTO LOGOPERA
               (NMTABELA,   DTOPERACAO, NMRESPOPER, IDTIPOOPER, CDPESQITEM, DSOPERACAO,
                DSRDMUSUOPER, DSENDUSUOPER, DSNMUSUOPER, DSMETUSUOPER, CDORESPOPER, CDFILLOGOPER)
            VALUES
               ('CARDADIA', V_DTOPER, V_USUARIO, V_TIPO, V_ITPESQ, SUBSTR(V_DESC, 1, 300),
                V_DSRDM, V_DSIP, V_DSUSUARIO, V_DSMETODO, V_DSOPERADOR, NVL(:NEW.CDFILIAL, :OLD.CDFILIAL));
         END IF;
      END IF;
   END IF;
END;
/


-- VERSAO --
BEGIN ATUVEROBJ('LOG_PLA_CARDADIA','5.01.008'); END;
/

