IF EXISTS (SELECT * FROM SYSOBJECTS O, SYSUSERS U
           WHERE O.NAME = 'LOG_GOP_CALENDARIOORC' AND
                 TYPE   = 'TR'                AND
                 U.UID  = O.UID               AND
                 U.NAME = USER)
DROP TRIGGER LOG_GOP_CALENDARIOORC
GO

CREATE TRIGGER LOG_GOP_CALENDARIOORC
ON CALENDORCOPERAC
FOR DELETE, INSERT, UPDATE
AS

   DECLARE @V_USUARIO        VARCHAR(40);
   DECLARE @V_TIPO           VARCHAR(1);
   DECLARE @V_ITPESQ         VARCHAR(40);
   DECLARE @V_DESC           VARCHAR(300);
   DECLARE @V_DTOPER         DATETIME;

/*VARIVEIS DO CURSOR C_CURSOR*/

   DECLARE @V_ID_COMANDO      VARCHAR(1);

   DECLARE @V_OLD_NRANOORCOPERAC  VARCHAR(4);
   DECLARE @V_OLD_CDFASEORCOPERAC VARCHAR(10);
   DECLARE @V_OLD_DTINIFASEORCA   DATETIME;
   DECLARE @V_OLD_DTFINFASEORCA   DATETIME;
   DECLARE @V_OLD_IDPERMCALCJAN   VARCHAR(1);
   DECLARE @V_OLD_IDPERMCALCFEV   VARCHAR(1);
   DECLARE @V_OLD_IDPERMCALCMAR   VARCHAR(1);
   DECLARE @V_OLD_IDPERMCALCABR   VARCHAR(1);
   DECLARE @V_OLD_IDPERMCALCMAI   VARCHAR(1);
   DECLARE @V_OLD_IDPERMCALCJUN   VARCHAR(1);
   DECLARE @V_OLD_IDPERMCALCJUL   VARCHAR(1);
   DECLARE @V_OLD_IDPERMCALCAGO   VARCHAR(1);
   DECLARE @V_OLD_IDPERMCALCSET   VARCHAR(1);
   DECLARE @V_OLD_IDPERMCALCOUT   VARCHAR(1);
   DECLARE @V_OLD_IDPERMCALCNOV   VARCHAR(1);
   DECLARE @V_OLD_IDPERMCALCDEZ   VARCHAR(1);


   DECLARE @V_NEW_NRANOORCOPERAC   VARCHAR(4);
   DECLARE @V_NEW_CDFASEORCOPERAC  VARCHAR(10);
   DECLARE @V_NEW_DTINIFASEORCA    DATETIME;
   DECLARE @V_NEW_DTFINFASEORCA    DATETIME;
   DECLARE @V_NEW_IDPERMCALCJAN    VARCHAR(1);
   DECLARE @V_NEW_IDPERMCALCFEV    VARCHAR(1);
   DECLARE @V_NEW_IDPERMCALCMAR    VARCHAR(1);
   DECLARE @V_NEW_IDPERMCALCABR    VARCHAR(1);
   DECLARE @V_NEW_IDPERMCALCMAI    VARCHAR(1);
   DECLARE @V_NEW_IDPERMCALCJUN    VARCHAR(1);
   DECLARE @V_NEW_IDPERMCALCJUL    VARCHAR(1);
   DECLARE @V_NEW_IDPERMCALCAGO    VARCHAR(1);
   DECLARE @V_NEW_IDPERMCALCSET    VARCHAR(1);
   DECLARE @V_NEW_IDPERMCALCOUT    VARCHAR(1);
   DECLARE @V_NEW_IDPERMCALCNOV    VARCHAR(1);
   DECLARE @V_NEW_IDPERMCALCDEZ    VARCHAR(1);

BEGIN
   SET @V_TIPO = '0';
   SET @V_DESC = '';

   EXEC NMUSUARIO @V_USUARIO;
   SET @V_USUARIO = ISNULL(@V_USUARIO, '');

   DECLARE C_CURSOR CURSOR FOR
      SELECT
         'D' IDCOMANDO,
         NRANOORCOPERAC,
         CDFASEORCOPERAC,
         DTINIFASEORCA,
         DTFINFASEORCA,
         IDPERMCALCJAN,
         IDPERMCALCFEV,
         IDPERMCALCMAR,
         IDPERMCALCABR,
         IDPERMCALCMAI,
         IDPERMCALCJUN,
         IDPERMCALCJUL,
         IDPERMCALCAGO,
         IDPERMCALCSET,
         IDPERMCALCOUT,
         IDPERMCALCNOV,
         IDPERMCALCDEZ,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL
      FROM
         DELETED
      WHERE
         NRANOORCOPERAC+CDFASEORCOPERAC NOT IN (SELECT NRANOORCOPERAC+CDFASEORCOPERAC FROM INSERTED)

      UNION ALL

      SELECT
         'U' IDCOMANDO,
         DELETED.NRANOORCOPERAC,
         DELETED.CDFASEORCOPERAC,
         DELETED.DTINIFASEORCA,
         DELETED.DTFINFASEORCA,
         DELETED.IDPERMCALCJAN,
         DELETED.IDPERMCALCFEV,
         DELETED.IDPERMCALCMAR,
         DELETED.IDPERMCALCABR,
         DELETED.IDPERMCALCMAI,
         DELETED.IDPERMCALCJUN,
         DELETED.IDPERMCALCJUL,
         DELETED.IDPERMCALCAGO,
         DELETED.IDPERMCALCSET,
         DELETED.IDPERMCALCOUT,
         DELETED.IDPERMCALCNOV,
         DELETED.IDPERMCALCDEZ,
         INSERTED.NRANOORCOPERAC,
         INSERTED.CDFASEORCOPERAC,
         INSERTED.DTINIFASEORCA,
         INSERTED.DTFINFASEORCA,
         INSERTED.IDPERMCALCJAN,
         INSERTED.IDPERMCALCFEV,
         INSERTED.IDPERMCALCMAR,
         INSERTED.IDPERMCALCABR,
         INSERTED.IDPERMCALCMAI,
         INSERTED.IDPERMCALCJUN,
         INSERTED.IDPERMCALCJUL,
         INSERTED.IDPERMCALCAGO,
         INSERTED.IDPERMCALCSET,
         INSERTED.IDPERMCALCOUT,
         INSERTED.IDPERMCALCNOV,
         INSERTED.IDPERMCALCDEZ
      FROM
         INSERTED,
         DELETED
      WHERE
         INSERTED.NRANOORCOPERAC  = DELETED.NRANOORCOPERAC    AND
         INSERTED.CDFASEORCOPERAC = DELETED.CDFASEORCOPERAC

      UNION ALL

      SELECT
         'I' IDCOMANDO,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NRANOORCOPERAC,
         CDFASEORCOPERAC,
         DTINIFASEORCA,
         DTFINFASEORCA,
         IDPERMCALCJAN,
         IDPERMCALCFEV,
         IDPERMCALCMAR,
         IDPERMCALCABR,
         IDPERMCALCMAI,
         IDPERMCALCJUN,
         IDPERMCALCJUL,
         IDPERMCALCAGO,
         IDPERMCALCSET,
         IDPERMCALCOUT,
         IDPERMCALCNOV,
         IDPERMCALCDEZ
      FROM
         INSERTED
      WHERE
         NRANOORCOPERAC+CDFASEORCOPERAC NOT IN (SELECT NRANOORCOPERAC+CDFASEORCOPERAC FROM DELETED);

      OPEN C_CURSOR;
      FETCH NEXT FROM C_CURSOR INTO @V_ID_COMANDO,
                                    @V_OLD_NRANOORCOPERAC,
                                    @V_OLD_CDFASEORCOPERAC,
                                    @V_OLD_DTINIFASEORCA,
                                    @V_OLD_DTFINFASEORCA,
                                    @V_OLD_IDPERMCALCJAN,
                                    @V_OLD_IDPERMCALCFEV,
                                    @V_OLD_IDPERMCALCMAR,
                                    @V_OLD_IDPERMCALCABR,
                                    @V_OLD_IDPERMCALCMAI,
                                    @V_OLD_IDPERMCALCJUN,
                                    @V_OLD_IDPERMCALCJUL,
                                    @V_OLD_IDPERMCALCAGO,
                                    @V_OLD_IDPERMCALCSET,
                                    @V_OLD_IDPERMCALCOUT,
                                    @V_OLD_IDPERMCALCNOV,
                                    @V_OLD_IDPERMCALCDEZ,

                                    @V_NEW_NRANOORCOPERAC,
                                    @V_NEW_CDFASEORCOPERAC,
                                    @V_NEW_DTINIFASEORCA,
                                    @V_NEW_DTFINFASEORCA,
                                    @V_NEW_IDPERMCALCJAN,
                                    @V_NEW_IDPERMCALCFEV,
                                    @V_NEW_IDPERMCALCMAR,
                                    @V_NEW_IDPERMCALCABR,
                                    @V_NEW_IDPERMCALCMAI,
                                    @V_NEW_IDPERMCALCJUN,
                                    @V_NEW_IDPERMCALCJUL,
                                    @V_NEW_IDPERMCALCAGO,
                                    @V_NEW_IDPERMCALCSET,
                                    @V_NEW_IDPERMCALCOUT,
                                    @V_NEW_IDPERMCALCNOV,
                                    @V_NEW_IDPERMCALCDEZ;


   WHILE (@@FETCH_STATUS = 0) BEGIN
      SET @V_DESC = '';
      IF @V_ID_COMANDO = 'D' BEGIN
         IF @V_OLD_NRANOORCOPERAC IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Ano=' + @V_OLD_NRANOORCOPERAC;
         END;

         IF @V_OLD_CDFASEORCOPERAC IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Fase=' + @V_OLD_CDFASEORCOPERAC;
         END;

         IF @V_OLD_DTINIFASEORCA IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' DataIni=' + CONVERT(VARCHAR, @V_OLD_DTINIFASEORCA, 103);
         END;

         IF @V_OLD_DTFINFASEORCA IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' DataFin=' + CONVERT(VARCHAR, @V_OLD_DTFINFASEORCA, 103);
         END;

         IF @V_OLD_IDPERMCALCJAN IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcJan=' + @V_OLD_IDPERMCALCJAN;
         END;

         IF @V_OLD_IDPERMCALCFEV IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcFev=' + @V_OLD_IDPERMCALCFEV;
         END;

         IF @V_OLD_IDPERMCALCMAR IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcMar=' + @V_OLD_IDPERMCALCMAR;
         END;

         IF @V_OLD_IDPERMCALCABR IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcAbr=' + @V_OLD_IDPERMCALCABR;
         END;

         IF @V_OLD_IDPERMCALCMAI IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcMai=' + @V_OLD_IDPERMCALCMAI;
         END;

         IF @V_OLD_IDPERMCALCJUN IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcJun=' + @V_OLD_IDPERMCALCJUN;
         END;

         IF @V_OLD_IDPERMCALCJUL IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcJul=' + @V_OLD_IDPERMCALCJUL;
         END;

         IF @V_OLD_IDPERMCALCAGO IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcAgo=' + @V_OLD_IDPERMCALCAGO;
         END;

         IF @V_OLD_IDPERMCALCSET IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcSet=' + @V_OLD_IDPERMCALCSET;
         END;

         IF @V_OLD_IDPERMCALCOUT IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcOut=' + @V_OLD_IDPERMCALCOUT;
         END;

         IF @V_OLD_IDPERMCALCNOV IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcNov=' + @V_OLD_IDPERMCALCNOV;
         END;

         IF @V_OLD_IDPERMCALCDEZ IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcDez=' + @V_OLD_IDPERMCALCDEZ;
         END;

         SET @V_TIPO     = '3';
         SET @V_ITPESQ   = @V_OLD_NRANOORCOPERAC + @V_OLD_CDFASEORCOPERAC;
      END
      ELSE IF @V_ID_COMANDO= 'U' /*UPDATING*/ BEGIN
         IF (ISNULL(@V_OLD_NRANOORCOPERAC ,0)   <> ISNULL(@V_NEW_NRANOORCOPERAC,0))   OR
            (ISNULL(@V_OLD_CDFASEORCOPERAC,' ') <> ISNULL(@V_NEW_CDFASEORCOPERAC,' ')) OR
            (ISNULL(@V_OLD_DTINIFASEORCA  ,' ') <> ISNULL(@V_NEW_DTINIFASEORCA ,' ')) OR
            (ISNULL(@V_OLD_DTFINFASEORCA  ,' ') <> ISNULL(@V_NEW_DTFINFASEORCA ,' ')) OR
            (ISNULL(@V_OLD_IDPERMCALCJAN  ,' ') <> ISNULL(@V_NEW_IDPERMCALCJAN ,' ')) OR
            (ISNULL(@V_OLD_IDPERMCALCFEV  ,' ') <> ISNULL(@V_NEW_IDPERMCALCFEV ,' ')) OR
            (ISNULL(@V_OLD_IDPERMCALCMAR  ,' ') <> ISNULL(@V_NEW_IDPERMCALCMAR ,' ')) OR
            (ISNULL(@V_OLD_IDPERMCALCABR  ,' ') <> ISNULL(@V_NEW_IDPERMCALCABR ,' ')) OR
            (ISNULL(@V_OLD_IDPERMCALCMAI  ,' ') <> ISNULL(@V_NEW_IDPERMCALCMAI ,' ')) OR
            (ISNULL(@V_OLD_IDPERMCALCJUN  ,' ') <> ISNULL(@V_NEW_IDPERMCALCJUN ,' ')) OR
            (ISNULL(@V_OLD_IDPERMCALCJUL  ,' ') <> ISNULL(@V_NEW_IDPERMCALCJUL ,' ')) OR
            (ISNULL(@V_OLD_IDPERMCALCAGO  ,' ') <> ISNULL(@V_NEW_IDPERMCALCAGO ,' ')) OR
            (ISNULL(@V_OLD_IDPERMCALCSET  ,' ') <> ISNULL(@V_NEW_IDPERMCALCSET ,' ')) OR
            (ISNULL(@V_OLD_IDPERMCALCOUT  ,' ') <> ISNULL(@V_NEW_IDPERMCALCOUT ,' ')) OR
            (ISNULL(@V_OLD_IDPERMCALCNOV  ,' ') <> ISNULL(@V_NEW_IDPERMCALCNOV ,' ')) OR
            (ISNULL(@V_OLD_IDPERMCALCDEZ  ,' ') <> ISNULL(@V_NEW_IDPERMCALCDEZ ,' ')) BEGIN

            IF (ISNULL(@V_OLD_NRANOORCOPERAC ,0)   <> ISNULL(@V_NEW_NRANOORCOPERAC,0))BEGIN
               SET @V_DESC = @V_DESC + 'Ano=' + @V_NEW_NRANOORCOPERAC;
            END;

            IF (ISNULL(@V_OLD_CDFASEORCOPERAC,' ') <> ISNULL(@V_NEW_CDFASEORCOPERAC,' ')) BEGIN
               SET @V_DESC = @V_DESC + ' Fase=' + @V_NEW_CDFASEORCOPERAC;
            END;

            IF (ISNULL(@V_OLD_DTINIFASEORCA  ,' ') <> ISNULL(@V_NEW_DTINIFASEORCA ,' ')) BEGIN
               SET @V_DESC = @V_DESC + ' DataIni=' + CONVERT(VARCHAR,@V_NEW_DTINIFASEORCA, 103);
            END;

            IF (ISNULL(@V_OLD_DTFINFASEORCA  ,' ') <> ISNULL(@V_NEW_DTFINFASEORCA ,' ')) BEGIN
               SET @V_DESC = @V_DESC + ' DataFin=' + CONVERT(VARCHAR,@V_NEW_DTFINFASEORCA, 103);
            END;

            IF (ISNULL(@V_OLD_IDPERMCALCJAN  ,' ') <> ISNULL(@V_NEW_IDPERMCALCJAN ,' ')) BEGIN
               SET @V_DESC = @V_DESC + ' IdCalcJan=' + @V_NEW_IDPERMCALCJAN;
            END;

            IF (ISNULL(@V_OLD_IDPERMCALCFEV  ,' ') <> ISNULL(@V_NEW_IDPERMCALCFEV ,' ')) BEGIN
               SET @V_DESC = @V_DESC + ' IdCalcFev=' + @V_NEW_IDPERMCALCFEV;
            END;

            IF (ISNULL(@V_OLD_IDPERMCALCMAR  ,' ') <> ISNULL(@V_NEW_IDPERMCALCMAR ,' ')) BEGIN
               SET @V_DESC = @V_DESC + ' IdCalcMar=' + @V_NEW_IDPERMCALCMAR;
            END;

            IF (ISNULL(@V_OLD_IDPERMCALCABR  ,' ') <> ISNULL(@V_NEW_IDPERMCALCABR ,' ')) BEGIN
               SET @V_DESC = @V_DESC + ' IdCalcAbr=' + @V_NEW_IDPERMCALCABR;
            END;

            IF (ISNULL(@V_OLD_IDPERMCALCMAI  ,' ') <> ISNULL(@V_NEW_IDPERMCALCMAI ,' ')) BEGIN
               SET @V_DESC = @V_DESC + ' IdCalcMai=' + @V_NEW_IDPERMCALCMAI;
            END;

            IF (ISNULL(@V_OLD_IDPERMCALCJUN  ,' ') <> ISNULL(@V_NEW_IDPERMCALCJUN ,' ')) BEGIN
               SET @V_DESC = @V_DESC + ' IdCalcJun=' + @V_NEW_IDPERMCALCJUN;
            END;

            IF (ISNULL(@V_OLD_IDPERMCALCJUL  ,' ') <> ISNULL(@V_NEW_IDPERMCALCJUL ,' ')) BEGIN
               SET @V_DESC = @V_DESC + ' IdCalcJul=' + @V_NEW_IDPERMCALCJUL;
            END;

            IF (ISNULL(@V_OLD_IDPERMCALCAGO  ,' ') <> ISNULL(@V_NEW_IDPERMCALCAGO ,' ')) BEGIN
               SET @V_DESC = @V_DESC + ' IdCalcAgo=' + @V_NEW_IDPERMCALCAGO;
            END;

            IF (ISNULL(@V_OLD_IDPERMCALCSET  ,' ') <> ISNULL(@V_NEW_IDPERMCALCSET ,' '))BEGIN
               SET @V_DESC = @V_DESC + ' IdCalcSet=' + @V_NEW_IDPERMCALCSET;
            END;

            IF (ISNULL(@V_OLD_IDPERMCALCOUT  ,' ') <> ISNULL(@V_NEW_IDPERMCALCOUT ,' ')) BEGIN
               SET @V_DESC = @V_DESC + ' IdCalcOut=' + @V_NEW_IDPERMCALCOUT;
            END;

            IF (ISNULL(@V_OLD_IDPERMCALCNOV  ,' ') <> ISNULL(@V_NEW_IDPERMCALCNOV ,' ')) BEGIN
               SET @V_DESC = @V_DESC + ' IdCalcNov=' + @V_NEW_IDPERMCALCNOV;
            END;

            IF (ISNULL(@V_OLD_IDPERMCALCDEZ  ,' ') <> ISNULL(@V_NEW_IDPERMCALCDEZ ,' ')) BEGIN
               SET @V_DESC = @V_DESC + ' IdCalcDez=' + @V_NEW_IDPERMCALCDEZ;
            END;

            SET @V_TIPO    = '2';
            SET @V_ITPESQ  = @V_OLD_NRANOORCOPERAC + @V_OLD_CDFASEORCOPERAC;
         END;
      END
      ELSE BEGIN
         SET @V_TIPO     = '1';
         SET @V_ITPESQ   = @V_NEW_NRANOORCOPERAC + @V_NEW_CDFASEORCOPERAC;

         IF @V_NEW_NRANOORCOPERAC IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Ano=' + @V_NEW_NRANOORCOPERAC;
         END;

         IF @V_NEW_CDFASEORCOPERAC IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Fase=' + @V_NEW_CDFASEORCOPERAC;
         END;

         IF @V_NEW_DTINIFASEORCA IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' DataIni=' + CONVERT(VARCHAR,@V_NEW_DTINIFASEORCA,103) ;
         END;

         IF @V_NEW_DTFINFASEORCA IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' DataFin=' + CONVERT(VARCHAR,@V_NEW_DTFINFASEORCA,103);
         END;

         IF @V_NEW_IDPERMCALCJAN IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcJan=' + @V_NEW_IDPERMCALCJAN;
         END;

         IF @V_NEW_IDPERMCALCFEV IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcFev=' + @V_NEW_IDPERMCALCFEV;
         END;

         IF @V_NEW_IDPERMCALCMAR IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcMar=' + @V_NEW_IDPERMCALCMAR;
         END;

         IF @V_NEW_IDPERMCALCABR IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcAbr=' + @V_NEW_IDPERMCALCABR;
         END;

         IF @V_NEW_IDPERMCALCMAI IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcMai=' + @V_NEW_IDPERMCALCMAI;
         END;

         IF @V_NEW_IDPERMCALCJUN IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcJun=' + @V_NEW_IDPERMCALCJUN;
         END;

         IF @V_NEW_IDPERMCALCJUL IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcJul=' + @V_NEW_IDPERMCALCJUL;
         END;

         IF @V_NEW_IDPERMCALCAGO IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcAgo=' + @V_NEW_IDPERMCALCAGO;
         END;

         IF @V_NEW_IDPERMCALCSET IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcSet=' + @V_NEW_IDPERMCALCSET;
         END;

         IF @V_NEW_IDPERMCALCOUT IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcOut=' + @V_NEW_IDPERMCALCOUT;
         END;

         IF @V_NEW_IDPERMCALCNOV IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcNov=' + @V_NEW_IDPERMCALCNOV;
         END;

         IF @V_NEW_IDPERMCALCDEZ IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdCalcDez=' + @V_NEW_IDPERMCALCDEZ;
         END;
      END;

      IF @V_TIPO <> '0' BEGIN
         EXEC NMUSUARIO @V_USUARIO;
         IF NOT @V_DESC IS NULL BEGIN
            IF NOT @V_USUARIO IS NULL BEGIN
               SET @V_DTOPER = GETDATE();
               INSERT INTO LOGOPERA
                  (NMTABELA,   DTOPERACAO, NMRESPOPER,
                   IDTIPOOPER, CDPESQITEM, DSOPERACAO)
               VALUES
                  ('CALENDORCOPERAC',  @V_DTOPER, @V_USUARIO,
                   @V_TIPO,  @V_ITPESQ, @V_DESC);
            END;
         END;
      END;
      FETCH NEXT FROM C_CURSOR INTO @V_ID_COMANDO,
                                    @V_OLD_NRANOORCOPERAC,
                                    @V_OLD_CDFASEORCOPERAC,
                                    @V_OLD_DTINIFASEORCA,
                                    @V_OLD_DTFINFASEORCA,
                                    @V_OLD_IDPERMCALCJAN,
                                    @V_OLD_IDPERMCALCFEV,
                                    @V_OLD_IDPERMCALCMAR,
                                    @V_OLD_IDPERMCALCABR,
                                    @V_OLD_IDPERMCALCMAI,
                                    @V_OLD_IDPERMCALCJUN,
                                    @V_OLD_IDPERMCALCJUL,
                                    @V_OLD_IDPERMCALCAGO,
                                    @V_OLD_IDPERMCALCSET,
                                    @V_OLD_IDPERMCALCOUT,
                                    @V_OLD_IDPERMCALCNOV,
                                    @V_OLD_IDPERMCALCDEZ,

                                    @V_NEW_NRANOORCOPERAC,
                                    @V_NEW_CDFASEORCOPERAC,
                                    @V_NEW_DTINIFASEORCA,
                                    @V_NEW_DTFINFASEORCA,
                                    @V_NEW_IDPERMCALCJAN,
                                    @V_NEW_IDPERMCALCFEV,
                                    @V_NEW_IDPERMCALCMAR,
                                    @V_NEW_IDPERMCALCABR,
                                    @V_NEW_IDPERMCALCMAI,
                                    @V_NEW_IDPERMCALCJUN,
                                    @V_NEW_IDPERMCALCJUL,
                                    @V_NEW_IDPERMCALCAGO,
                                    @V_NEW_IDPERMCALCSET,
                                    @V_NEW_IDPERMCALCOUT,
                                    @V_NEW_IDPERMCALCNOV,
                                    @V_NEW_IDPERMCALCDEZ;
   END;
   CLOSE      C_CURSOR;
   DEALLOCATE C_CURSOR;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'LOG_FIS_IMPOSERIE','4.11.105';
GO
